解决tensorboader启动报错“ValueError: Duplicate plugins for name projector”

今天在启动tensorboader的时候失败了,报如下错误:

ValueError: Duplicate plugins for name projector

查看了原因主要是版本冲突问题所致。但是:

  1. tensorflow相关的报卸载之后,重新装同样的版本,也还是没有解决报错问题。
  2. 使用检测是否安装了多个版本的tensorboard的代码:https://raw.githubusercontent.com/tensorflow/tensorboard/master/tensorboard/tools/diagnose_tensorboard.py,也没有检测出版本异常。

最后在pip list的前几个包发现有如下几个包:

-ensorboard-1.14.0
-ensorboard-1.13.1
-b_nightly-2.1.0
-ensorboard-1.14.0

有点异常。跑到目录*/Versions/3.7/lib/python3.7/site-packages下查看,发现有几个对应的包文件夹

~-nsorboard-1.14.0.dist-info
~b_nightly-2.1.0a20191026.dist-info
~ensorboard-1.13.1.dist-info
~ensorboard-1.14.0.dist-info

把这几个目录删除了之后,重新安装tensorflow,tensorboader启动成功。

你可能感兴趣的